# Logging_Strategy.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Log_Msg.h"`

Include dependency graph for Logging_Strategy.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Logging_Strategy
| This class provides the hooks to control the output produced by any of the network services. More...

## Defines

#define | ACE_DEFAULT_LOGFILE_POLL_INTERVAL 600

## Detailed Description

Id
  Logging_Strategy.h,v 4.16 2005/10/28 16:14:53 ossama Exp

Author:
  Prashant Jain <pjain@cs.wustl.edu>

  Orlando Ribeiro <oribeiro@inescporto.pt>

## Define Documentation

#define ACE_DEFAULT_LOGFILE_POLL_INTERVAL 600